#ifndef __ANIMATABLES__H__
#define __ANIMATABLES__H__

#include "display.h"

typedef enum State {
	ALIVE,
	EXPLODING,
	DEAD
} State;

typedef struct Animatable {
	Sprite* sprite;
	int32 spriteIndex;
	int32 x, y;
	State state;
	
	// boundaries and current frame
	int32 firstFrame, lastFrame, currentFrame;
	
	// used to count video frames between animation frames
	int32 videoFrame;
} Animatable;

void animatables_animate( Animatable* animatable, int videoFramesPerAnimationFrame );
void animatables_kill( Animatable* animatable );

#endif
