#ifndef __BULLETS__H__
#define __BULLETS__H__

#include "display.h"
#include "platform.h"
#include "animatables.h"

#define BULLET_SPRITE_SIZE 16

typedef enum Direction {
	UP,
	DOWN
} Direction;

typedef enum Speed {
	SLOW,
	FAST
} Speed;

void bullets_init();
void bullets_refresh();
int bullets_allocate();
void bullets_fire( 
	int which, 
	Speed speed, 
	Direction direction, 
	int startX, 
	int startY, 
	void (*positionChangedCallback)( Rectangle position ) 
	);
void bullets_cancel( int which );

void bullets_loadDefaults();

#endif
