#ifndef __SPRITES__H_
#define __SPRITES__H_

#include "string.h"
#include "celutils.h"
#include "mem.h"
#include "math.h"
#include "types.h"
#include "animutils.h"
#include "platform.h"
#include "display.h"

typedef struct Rectangle {
	Point topLeft;
	Point bottomRight;
} Rectangle;

typedef struct Sprite {
	Node* displayListNode;
	int32 displayListNodeType;
	
	CCB* ccb;
	ANIM* data;

	int32 width;
	int32 height;

	Rectangle position;

	int32 animationFrame;
} Sprite;

bool sprite_isRectangleOverlap( Rectangle* left, Rectangle* right );

Sprite* sprite_load( char *filename );
void sprite_moveTo( Sprite* sprite, int32 x, int32 y );
void sprite_setFrame( Sprite* sprite, int32 frame );
int32 sprite_allocateNextIndex();
void sprite_hide( Sprite* sprite );

#endif